Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee6
Interface ResourceEnvRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ResourceEnvRefTypeImpl

    public interface ResourceEnvRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `resource-env-refType` xsd type

Original Documentation:

[
The resource-env-refType is used to define
resource-env-ref elements. It contains a declaration of a
Deployment Component's reference to an administered object
associated with a resource in the Deployment Component's
environment. It consists of an optional description, the
resource environment reference name, and an optional
indication of the resource environment reference type
expected by the Deployment Component code.
It also includes optional elements to define injection of
the named resource into fields or JavaBeans properties.
The resource environment type must be supplied unless an
injection target is specified, in which case the type
of the target is used. If both are specified, the type
must be assignment compatible with the type of the injection
target.
Example:
jms/StockQueue
javax.jms.Queue

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<ResourceEnvRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getLookupName()` Returns the `lookup-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getResourceEnvRefName()` Returns the `resource-env-ref-name` element
`java.lang.String` | `getResourceEnvRefType()` Returns the `resource-env-ref-type` element
`InjectionTargetType<ResourceEnvRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`ResourceEnvRefType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceEnvRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`ResourceEnvRefType<T>` | `removeLookupName()` Removes the `lookup-name` element
`ResourceEnvRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ResourceEnvRefType<T>` | `removeResourceEnvRefName()` Removes the `resource-env-ref-name` element
`ResourceEnvRefType<T>` | `removeResourceEnvRefType()` Removes the `resource-env-ref-type` element
`ResourceEnvRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceEnvRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ResourceEnvRefType<T>` | `setLookupName(java.lang.String lookupName)` If not already created, a new `lookup-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setResourceEnvRefName(java.lang.String resourceEnvRefName)` If not already created, a new `resource-env-ref-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setResourceEnvRefType(java.lang.String resourceEnvRefType)` If not already created, a new `resource-env-ref-type` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setLookupName

    ResourceEnvRefType<T> setLookupName(java.lang.String lookupName)

  If not already created, a new `lookup-name` element with the given value will be created. Otherwise, the existing `lookup-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeLookupName

    ResourceEnvRefType<T> removeLookupName()

  Removes the `lookup-name` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getLookupName

    java.lang.String getLookupName()

  Returns the `lookup-name` element

  Returns:
    the node defined for the element `lookup-name`

### setMappedName

    ResourceEnvRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeMappedName

    ResourceEnvRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    ResourceEnvRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `ResourceEnvRefType`

### injectionTarget

    InjectionTargetType<ResourceEnvRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<ResourceEnvRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### setDescription

    ResourceEnvRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ResourceEnvRefType`

### setDescriptionList

    ResourceEnvRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceEnvRefType`

### removeAllDescription

    ResourceEnvRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setResourceEnvRefName

    ResourceEnvRefType<T> setResourceEnvRefName(java.lang.String resourceEnvRefName)

  If not already created, a new `resource-env-ref-name` element with the given value will be created. Otherwise, the existing `resource-env-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeResourceEnvRefName

    ResourceEnvRefType<T> removeResourceEnvRefName()

  Removes the `resource-env-ref-name` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getResourceEnvRefName

    java.lang.String getResourceEnvRefName()

  Returns the `resource-env-ref-name` element

  Returns:
    the node defined for the element `resource-env-ref-name`

### setResourceEnvRefType

    ResourceEnvRefType<T> setResourceEnvRefType(java.lang.String resourceEnvRefType)

  If not already created, a new `resource-env-ref-type` element with the given value will be created. Otherwise, the existing `resource-env-ref-type` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeResourceEnvRefType

    ResourceEnvRefType<T> removeResourceEnvRefType()

  Removes the `resource-env-ref-type` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getResourceEnvRefType

    java.lang.String getResourceEnvRefType()

  Returns the `resource-env-ref-type` element

  Returns:
    the node defined for the element `resource-env-ref-type`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD